.tech-banners {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 6px;
    margin: 1em 0 1em; /* добавляем отступ снизу, чтобы не перекрывал footer */
}

.banner {
    width: 96px;
    height: 24px;
    display: flex;              /* чтобы текст центрировался и по вертикали */
    align-items: center;
    justify-content: center;
    margin: 2px;
    padding: 4px 6px;
    font-size: 0.7em;
    text-align: center;
    border-radius: 1px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: #e6e6f0;
    border-bottom: 2px solid rgba(0,0,0,0.0);
    border-top: 4px solid rgba(0,0,0,0.0);
    font-family: Arial, sans-serif;
}

.banner:hover {
    background: rgba(0,0,0,0.2);
    border-bottom: 2px solid var(--clr-border-hover);
    #border-top: 4px solid rgba(0,0,0,0.0);
}

.b-caption {
    margin: 0;
    line-height: 1;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
}

/* цвета разных баннеров */
.b-caption.nano   { color: #4E9A06; }     /* Nano — зелёный, читаемый и яркий */
.b-caption.debian { color: #D70A53; }     /* Debian — официальный красный */
.b-caption.nginx  { color: #00B140; }     /* Nginx — яркий зелёный */
.b-caption.php    { color: #8892BE; }     /* PHP — фирменный фиолетовый */
.b-caption.chuwi  { color: #FF6B00; }     /* Chuwi — оранжевый */
